import * as yup from 'yup';
declare const ALLPaymentParamsSchema: yup.ObjectSchema<{
    [x: string]: yup.AnySchema<any, any, any> | import("yup/lib/Reference").default<unknown> | import("yup/lib/Lazy").default<any, any>;
} & {
    IgnorePayment: yup.ArraySchema<yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined, (string | undefined)[] | undefined>;
    ExpireDate: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
    PaymentInfoURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    ClientRedirectURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    StoreExpireDate: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
    Desc_1: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    Desc_2: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    Desc_3: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    Desc_4: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
} & {
    [x: string]: yup.AnySchema<any, any, any> | import("yup/lib/Reference").default<unknown> | import("yup/lib/Lazy").default<any, any>;
} & {
    BindingCard: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
    MerchantMemberID: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
} & {
    [x: string]: yup.AnySchema<any, any, any> | import("yup/lib/Reference").default<unknown> | import("yup/lib/Lazy").default<any, any>;
} & {
    Redeem: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    UnionPay: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
} & {
    [x: string]: yup.AnySchema<any, any, any> | import("yup/lib/Reference").default<unknown> | import("yup/lib/Lazy").default<any, any>;
} & {
    CreditInstallment: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
} & {
    [x: string]: yup.AnySchema<any, any, any> | import("yup/lib/Reference").default<unknown> | import("yup/lib/Lazy").default<any, any>;
} & {
    PeriodAmount: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
    PeriodType: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    Frequency: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
    ExecTimes: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
    PeriodReturnURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
}, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
    [x: string]: yup.AnySchema<any, any, any> | import("yup/lib/Reference").default<unknown> | import("yup/lib/Lazy").default<any, any>;
} & {
    IgnorePayment: yup.ArraySchema<yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined, (string | undefined)[] | undefined>;
    ExpireDate: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
    PaymentInfoURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    ClientRedirectURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    StoreExpireDate: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
    Desc_1: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    Desc_2: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    Desc_3: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    Desc_4: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
} & {
    [x: string]: yup.AnySchema<any, any, any> | import("yup/lib/Reference").default<unknown> | import("yup/lib/Lazy").default<any, any>;
} & {
    BindingCard: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
    MerchantMemberID: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
} & {
    [x: string]: yup.AnySchema<any, any, any> | import("yup/lib/Reference").default<unknown> | import("yup/lib/Lazy").default<any, any>;
} & {
    Redeem: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    UnionPay: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
} & {
    [x: string]: yup.AnySchema<any, any, any> | import("yup/lib/Reference").default<unknown> | import("yup/lib/Lazy").default<any, any>;
} & {
    CreditInstallment: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
} & {
    [x: string]: yup.AnySchema<any, any, any> | import("yup/lib/Reference").default<unknown> | import("yup/lib/Lazy").default<any, any>;
} & {
    PeriodAmount: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
    PeriodType: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    Frequency: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
    ExecTimes: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
    PeriodReturnURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
}>, import("yup/lib/object").AssertsShape<{
    [x: string]: yup.AnySchema<any, any, any> | import("yup/lib/Reference").default<unknown> | import("yup/lib/Lazy").default<any, any>;
} & {
    IgnorePayment: yup.ArraySchema<yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>, import("yup/lib/types").AnyObject, (string | undefined)[] | undefined, (string | undefined)[] | undefined>;
    ExpireDate: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
    PaymentInfoURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    ClientRedirectURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    StoreExpireDate: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
    Desc_1: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    Desc_2: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    Desc_3: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    Desc_4: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
} & {
    [x: string]: yup.AnySchema<any, any, any> | import("yup/lib/Reference").default<unknown> | import("yup/lib/Lazy").default<any, any>;
} & {
    BindingCard: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
    MerchantMemberID: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
} & {
    [x: string]: yup.AnySchema<any, any, any> | import("yup/lib/Reference").default<unknown> | import("yup/lib/Lazy").default<any, any>;
} & {
    Redeem: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    UnionPay: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
} & {
    [x: string]: yup.AnySchema<any, any, any> | import("yup/lib/Reference").default<unknown> | import("yup/lib/Lazy").default<any, any>;
} & {
    CreditInstallment: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
} & {
    [x: string]: yup.AnySchema<any, any, any> | import("yup/lib/Reference").default<unknown> | import("yup/lib/Lazy").default<any, any>;
} & {
    PeriodAmount: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
    PeriodType: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    Frequency: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
    ExecTimes: yup.NumberSchema<number | undefined, import("yup/lib/types").AnyObject, number | undefined>;
    PeriodReturnURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
}>>;
export default ALLPaymentParamsSchema;
